Show negotiated pending payment detail
curl --request GET \
--url https://api.creditor.younegotiate.com/dashboard/completed-negotiations/{consumer} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/dashboard/completed-negotiations/{consumer}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/dashboard/completed-negotiations/{consumer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"consumer": {
"full_name": "<string>",
"member_account_number": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"subclient_name": "<string>",
"placement_date": "2023-12-25",
"account_expiration_date": "2023-12-25",
"beginning_balance": "<string>",
"current_balance": "<string>"
},
"negotiation": {
"id": 123,
"type": {},
"accepted_offer": {
"negotiated_payoff_balance": "<string>",
"monthly_payment": "<string>",
"first_payment_date": "2023-12-25",
"offer_accepted": true,
"counter_offer_accepted": true
}
},
"validation_limits": {
"max_first_payment_date": "2023-12-25"
}
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}Show negotiated pending payment detail
Return the selected Dashboard > Performance > Negotiated / Pending Payment account detail. The account must belong to the authenticated creditor company, match any assigned sub-account, and still be pending payment setup.
GET
/
dashboard
/
completed-negotiations
/
{consumer}
Show negotiated pending payment detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID from the negotiated pending payment row.
Response
Negotiated pending payment detail returned.
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I

